enctypes (258f10f) (Closes: #474037)
* Make sure everything is shipped (inspired by #594933)
* nfs-common.init: Enable idmapd by default (Closes: #610363)
+ * Install bug scripts to ease debuging
- -- Luk Claes <luk@debian.org> Mon, 21 Mar 2011 20:04:26 +0100
+ -- Luk Claes <luk@debian.org> Sun, 27 Mar 2011 18:26:08 +0200
nfs-utils (1:1.2.2-5) unstable; urgency=low
--- /dev/null
+report-with: nfs-kernel-server
--- /dev/null
+#!/bin/sh
+set -e
+
+echo '-- rpcinfo --' >&3
+rpcinfo -p >&3
+
+echo '-- /etc/default/nfs-common --' >&3
+cat /etc/default/nfs-common|grep -v -e '^\#' -e '^$' >&3
+
+echo '-- /etc/idmapd.conf --' >&3
+cat /etc/idmapd.conf|grep -v -e '^\#' -e '^$' >&3
+
+echo '-- /etc/fstab --' >&3
+cat /etc/fstab|grep nfs >&3
+
+echo '-- /proc/mounts --' >&3
+cat /proc/mounts|grep nfs >&3
--- /dev/null
+#!/bin/sh
+set -e
+
+echo '-- rpcinfo --' >&3
+rpcinfo -p >&3
+
+echo '-- /etc/default/nfs-kernel-server --' >&3
+cat /etc/default/nfs-kernel-server|grep -v -e '\#' -e '^$' >&3
+
+echo '-- /etc/exports --' >&3
+cat /etc/exports|grep -v -e '^\#' -e '^$' >&3
+
+echo '-- /proc/fs/nfs/exports --' >&3
+cat /proc/fs/nfs/exports >&3
--- /dev/null
+report-with: nfs-common nfs-kernel-server
--- /dev/null
+You are about to report a bug in the source package. Unless this is about a
+build failure, this is probably not what you intend to do.
+
+If you want to report a bug in the NFS client, you should use the package
+name nfs-common. If you want to report a bug in the NFS server, you should
+use the package name nfs-kernel-server.